<!-- Cloaking device on...

/***** error handler ***********************/
/*******************************************/

function stopError()
{
  return true;
}
window.onerror = stopError;
  
/***** end error handler *******************/
/*******************************************/

/***** browser minimum level detection *****/
/*******************************************/

  browserLevel = (((navigator.appName == "Netscape") && (parseInt(navigator.appVersion) >= 3 )) || ((navigator.appName == "Microsoft Internet Explorer") && (parseInt(navigator.appVersion) >= 4 )))

/***** end browser minimum level detection *****/
/***********************************************/

/***** browser specific detection *****/
/**************************************/

    browserName     = navigator.appName;
    browserVersion  = parseInt(navigator.appVersion);

    if      (browserName == "Netscape" && browserVersion == 2) version = "nav2";
    else if (browserName == "Netscape" && browserVersion == 3) version = "nav3";
    else if (browserName == "Netscape" && browserVersion >= 4) version = "nav4+";
    else if (browserName == "Microsoft Internet Explorer" && browserVersion == 2) version = "ie3";
    else if (browserName == "Microsoft Internet Explorer" && browserVersion >= 4) version = "ie4+";

    if (version == "nav2")
    {
      /* Netscape 2 */
    }
    else
    if (version == "nav3")
    {
      /* Netscape 3 */
    }
    else
    if (version == "nav4+")
    {
      /* Netscape 4 or higher */
    }
    else
    if (version == "ie3")
    {
      /* Microsoft Internet Explorer 3 */
    }
    else
    if (version == "ie4+")
    {
      /* Microsoft Internet Explorer 4 or higher*/
    }
    else{};
	
/***** end browser specific detection *****/
/******************************************/

/***** active image swap *****/
/*****************************/

function swapimage(name,newgif,msg)
{
  if (browserLevel)
  {
    name.src = newgif;
    window.status = msg;
  }
  return true;
}

/***** end active image swap *****/
/*********************************/

/***** Year 2000 countdown *****/
/*******************************/

var y2ktimer = null;

function y2kFunc() {
}
var y2kday = new y2kFunc();
y2kday[1]=31
y2kday[2]=28
y2kday[3]=31
y2kday[4]=30
y2kday[5]=31
y2kday[6]=30
y2kday[7]=31
y2kday[8]=31
y2kday[9]=30
y2kday[10]=31
y2kday[11]=30
y2kday[12]=31

function stopDisplay() {
}

function Millenium() {
  var today = new Date();
  var thisYear = today.getYear();
  /* check for millenium, thisYear will change to 4 digits with a value of 2000 */
  if(thisYear > 99){stopDisplay();document.forms[0].elements[0].value="The time has come, the walrus said...";return;};
  var thisMon = today.getMonth();
  var thisDay = today.getDate();
  var thisHour = today.getHours();
  var thisMinute = today.getMinutes();
  var thisSecond = today.getSeconds();
  var today = null;
  var Yearleft = 99 - thisYear
  var Monleft = 11 - thisMon;
  thisMon = thisMon + 1;
  var DaysLeft = y2kday[thisMon] - thisDay;
  var Hourleft = 23 - thisHour
  var Minuteleft = 59 - thisMinute
  var Secondleft = 59 - thisSecond

  if (Yearleft!=1) {
    var Y2kYear="s"}
  else {var Y2kYear=""}
  if (Monleft!=1) {
    var Y2kMon="s"}
  else {var Y2kMon=""}
  if (DaysLeft!=1) {
    var Y2kDays="s"}
  else {var Y2kDays=""}
  if (Hourleft!=1) {
    var Y2kHour="s"}
  else {var Y2kHour=""}
  if (Minuteleft!=1) {
    var Y2kMin="s"}
  else {var Y2kMin=""}
  if (Secondleft!=1) {
    var Y2kSecs="s"}
  else {var Y2kSecs=""}

  var DispMsg=' '
      +Yearleft
      +' year'+Y2kYear
      +', '+Monleft
      +' month'
      +Y2kMon
      +', '
      +DaysLeft
      +' day'
      +Y2kDays
      +', '
      +Hourleft
      +' hour'
      +Y2kHour
      +', '
      +Minuteleft
      +' minute'
      +Y2kMin
      +', and '
      +Secondleft
      +' second'
      +Y2kSecs

  document.forms[0].elements[0].value=DispMsg;

  var StatMsg='IBM can help you manage the Year 2000 challenge.'
  window.status=StatMsg;

  y2ktimer = setTimeout("Millenium()",1000);
}

/***** end Year 2000 countdown *****/
/***********************************/

/***** layers */
/*****************************/

	var visibleVar="null";
	var layerStyleRef="null",styleSwitch="null";

	//Browser detect function

	function init(){
        if (navigator.appName == "Netscape") {
				layerStyleRef="layer.";
				layerRef="document.layers";
				styleSwitch="";
				visibleVar="show";
        }else{
				layerStyleRef="layer.style.";
				layerRef="document.all";
				styleSwitch=".style";
				visibleVar="visible";
		}
	}	

	//Function for switching between 2 layers

	function showHideLayerSwitch(layerName){
		if (eval(layerRef+'["'+layerName+'"]'+styleSwitch+'.visibility == visibleVar')){
			hideLayer(layerName);
		}else{
			showLayer(layerName);
		}
	}
	function showLayer(layerName){
		eval(layerRef+'["'+layerName+'"]'+styleSwitch+'.visibility="visible"');
	}
	
	function hideLayer(layerName){
		eval(layerRef+'["'+layerName+'"]'+styleSwitch+'.visibility="hidden"');
	}

	//Function for animation

	function animatedObject (objectName,layerName,loop,speed,selectedIndex,endRoutines,route){
       		this.objectName=objectName;
       		this.layerName=layerName;
        		this.loop=loop;
      		this.speed=speed;
        		this.selectedIndex=selectedIndex;
        		this.endRoutines=endRoutines;
        		this.route=route;
 	 }
	 
	animObjectArray= new Array("texlayer","toplayer","realayer");

// Layer

		texlayerArray=new Array (136);
        var coords="100,0, +200,0, +300,0, +400,0, +500,0, +600,0, +700,0, +800,0, +900,0, +1024,0";
 		texlayerArray=coords.split(",");
		texlayer = new animatedObject(
       		 'texlayer',
       		 'texlayer',
       		 'no',
             1,
      		 0,
       		 '0',
       		 texlayerArray
		 );	

		toplayerArray=new Array (136);
        var coords="0,0, +825,0";
 		toplayerArray=coords.split(",");
		toplayer = new animatedObject(
       		 'toplayer',
       		 'toplayer',
       		 'no',
             5000,
      		 0,
       		 '0',
       		 toplayerArray
		 );	


	function stopTimeline(){
        		currTime=totalTime+1;
	 }
	function startTimeline(){
        		currTime=0;
       		 timelineController();
	 }
	 function timelineController(){ 
       		 if (currTime <= totalTime){
               		 currTime++;
               		 if (timeline[currTime] != null){
                       	 eval(timeline[currTime]);
                	}
                		setTimeout("timelineController()",1000);
       		 }
	 }
	function moveLayerTo(layerName,left,top){
       		eval(layerRef+'["'+layerName+'"]'+styleSwitch+'.top=top');
        		eval(layerRef+'["'+layerName+'"]'+styleSwitch+'.left=left');
	}
	function doAnimation(objName){ 
        		if (eval(objName +'.selectedIndex <' +objName+ '.route.length')){
                		eval('moveLayerTo(' +objName+ '.layerName,' +objName+ '.route[' +objName+ '.selectedIndex],' +objName+ '.route[' +objName+ '.selectedIndex+1])');
                		eval (objName+'.selectedIndex+=2');
                		setTimeout('doAnimation("'+objName+'")',eval(objName+'.speed'));
        }else{
               		var commandString=eval(objName+'.endRoutines');
               		eval (commandString);
                		eval (objName + '.selectedIndex=0');
                		if (eval(objName+'.loop=="yes"')){
                        	eval('doAnimation("'+objName+'")',eval(objName+'.speed'));
                		}
       	}
 }
 
/***** end layers */
/*****************************/

 // Now decloaking -->
